gnutls28 (3.8.12-2ubuntu1.1) resolute-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in DTLS handshake fragment reassembly
    - debian/patches/CVE-2026-33846-pre1.patch: buffers: shorten
      merge_handshake_packet using recv_buf in lib/buffers.c.
    - debian/patches/CVE-2026-33846.patch: buffers: add more checks to DTLS
      reassembly in lib/buffers.c.
    - CVE-2026-33846
  * SECURITY UPDATE: DTLS packets sequence number ordering issue
    - debian/patches/CVE-2026-42009-pre1.patch: buffers: match DTLS datagrams by
      sequence number in lib/buffers.c.
    - debian/patches/CVE-2026-42009-1.patch: lib/buffers: ensure packets have
      differing sequence numbers in lib/buffers.c.
    - debian/patches/CVE-2026-42009-2.patch: buffers: fix handshake_compare when
      sequence numbers match in lib/buffers.c.
    - CVE-2026-42009
  * SECURITY UPDATE: OOB read via malformed fragments with zero length and
    non-zero offset
    - debian/patches/CVE-2026-33845-pre1.patch: buffers: rename a variable in
      parse_handshake_header in lib/buffers.c.
    - debian/patches/CVE-2026-33845.patch: buffers: switch from end_offset over
      to frag_length in lib/buffers.c, lib/gnutls_int.h.
    - debian/patches/CVE-2026-33845-2.patch: buffers: simplify and tighten
      parse_handshake_header checks in lib/buffers.c.
    - CVE-2026-33845
  * SECURITY UPDATE: malformed OCSP response issue
    - debian/patches/CVE-2026-3832.patch: cert-session: fix multi-entry OCSP
      revocation bypass in lib/cert-session.c.
    - CVE-2026-3832
  * SECURITY UPDATE: policy bypass via x509 case-sensitive comparisons
    - debian/patches/CVE-2026-3833.patch: x509/name-constraints: compare domain
      names case-insensitive in lib/x509/name_constraints.c.
    - CVE-2026-3833
  * SECURITY UPDATE: permitted name constrains were incorrectly ignored
    - debian/patches/CVE-2026-42011.patch: x509/name_constraints: fix
      intersecting empty constraints in lib/x509/name_constraints.c.
    - CVE-2026-42011
  * SECURITY UPDATE: 
    - debian/patches/CVE-2026-42010.patch: lib/auth/rsa_psk: fix binary PSK
      identity lookup in lib/auth/rsa_psk.c.
    - CVE-2026-42010
  * SECURITY UPDATE: incorrect username parsing with NUL characters
    - debian/patches/CVE-2026-5260-1.patch: lib/auth/rsa: check that ciphertext
      matches the modulus size in lib/auth/rsa.c, lib/auth/rsa_psk.c.
    - debian/patches/CVE-2026-5260-2.patch: lib/pkcs11_privkey: guard against
      overreading on short ciphertexts in lib/pkcs11_privkey.c.
    - CVE-2026-5260
  * SECURITY UPDATE: 
    - debian/patches/CVE-2026-42012-pre1.patch: x509/hostname-verify: refactor
      and simplify CN fallback logic in lib/x509/hostname-verify.c.
    - debian/patches/CVE-2026-42012-pre2.patch: x509: add bare-bones awareness
      of SRV virtual SAN in lib/includes/gnutls/gnutls.h.in, lib/x509/common.h,
      lib/x509/name_constraints.c, lib/x509/output.c, lib/x509/virt-san.c,
      lib/x509/x509.c.
    - debian/patches/CVE-2026-42012.patch: x509/hostname-verify: make URI/SRV
      SAN preclude CN fallback in lib/x509/hostname-verify.c.
    - CVE-2026-42012
  * SECURITY UPDATE: incorrect URI or SRV Subject Alternative Names checking
    - debian/patches/CVE-2026-42013-pre1.patch: x509/email-verify: call
      fallback DN fallback in lib/x509/email-verify.c.
    - debian/patches/CVE-2026-42013.patch: x509: prevent fallback on oversized
      SAN in lib/x509/email-verify.c, lib/x509/hostname-verify.c.
    - CVE-2026-42013
  * SECURITY UPDATE: UaF when changing the Security Officer PIN
    - debian/patches/CVE-2026-42014.patch: pkcs11_write: fix UAF and leak in
      gnutls_pkcs11_token_set_pin in lib/pkcs11_write.c.
    - CVE-2026-42014
  * SECURITY UPDATE: buffer overflow when appending to a PKCS#12 bag
    - debian/patches/CVE-2026-42015.patch: x509/pkcs12_bag: fix off-by-one in
      bag element bounds check in lib/x509/pkcs12_bag.c.
    - CVE-2026-42015
  * SECURITY UPDATE: non constant-time PKCS#7 padding check
    - debian/patches/CVE-2026-5419.patch: gnutls_cipher_decrypt3: make PKCS#7
      unpadding branch free in lib/crypto-api.c, lib/libgnutls.map,
      tests/Makefile.am, tests/pkcs7-pad.c.
    - debian/patches/CVE-2026-5419-2.patch: _gnutls_pkcs7_unpad: add missing
      declaration in lib/crypto-api.c.
    - CVE-2026-5419

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 May 2026 10:11:31 -0400

gnutls28 (3.8.12-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #213394). Remaining changes:
    - Enable CET.
    - d/patches/crypto-config.patch: also read configuration from
      /var/lib/crypto-config/profiles/current/gnutls.conf
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
   * Drop changes:
    - present upstream: debian/patches/CVE-2025-14831-*.patch
    - present upstream: debian/patches/CVE-2025-9820.patch 

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 18 Feb 2026 20:39:01 +0000

gnutls28 (3.8.12-2) unstable; urgency=high

  * While there are no libgnutls-openssl27t64 rdeps in sid anymore there are
    a couple of package which build-depend libgnutls-openssl-dev (but either
    use regular GnuTLS interfaces or do not use GnuTLS at all.) Add back the
    OpenSSl wrapper until this version has propagated to testing.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 11 Feb 2026 18:18:55 +0100

gnutls28 (3.8.12-1) unstable; urgency=medium

  * Drop OpenSSL wrapper library.
  * New upstream bugstream release, includes fixes for (inter alia):
   + libgnutls: Fix NULL pointer dereference in PSK binder verification:
     A TLS 1.3 resumption attempt with an invalid PSK binder value in
     ClientHello could lead to a denial of service attack via crashing the
     server.  The updated code guards against the problematic dereference.
     Reported by Jaehun Lee.
     [Fixes: GNUTLS-SA-2026-02-09-1, CVSS: high] [CVE-2026-1584]
   + libgnutls: Fix name constraint processing performance issue:
     Verifying certificates with pathological amounts of name constraints
     could lead to a denial of service attack via resource exhaustion.
     Reworked processing algorithms exhibit better performance
     characteristics.  Reported by Tim Scheckenbach.
     [Fixes: GNUTLS-SA-2026-02-09-2, CVSS: medium] [CVE-2025-14831]
  * Drop 50_0001-mem-include-headers-for-size_t-and-uint8_t.patch.
  * Update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Feb 2026 18:34:29 +0100

gnutls28 (3.8.11-3) unstable; urgency=medium

  * Really upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Nov 2025 14:55:24 +0100

gnutls28 (3.8.11-2) experimental; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Nov 2025 14:30:24 +0100

gnutls28 (3.8.11-1) experimental; urgency=medium

  * New upstream version.
    + Includes patch for CVE-2025-9820 / GNUTLS-SA-2025-11-18, which is
      mitigated by Debian building with -D_FORTIFY_SOURCE=2.
      Closes: #1121146
    + Drop superfluous patch, unfuzz.
    + Update symbol file.
    + Update copyright info.
    + Bump nettle-dev dependency to 3.10.
  * Drop Rules-Requires-Root: no
  * Cherry-pick post-release fix.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Nov 2025 14:41:00 +0100

gnutls28 (3.8.10-3ubuntu2) resolute; urgency=medium

  * SECURITY UPDATE: DoS via malicious certificates
    - debian/patches/CVE-2025-14831-*.patch: rework processing algorithms
      to exhibit better performance characteristics in
      lib/x509/name_constraints.c, tests/name-constraints-ip.c.
    - CVE-2025-14831
  * SECURITY UPDATE: stack overflow via long token label
    - debian/patches/CVE-2025-9820.patch: avoid stack overwrite when
      initializing a token in lib/pkcs11_write.c, tests/Makefile.am,
      tests/pkcs11/long-label.c.
    - CVE-2025-9820

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Feb 2026 10:00:15 -0500

gnutls28 (3.8.10-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130708). Remaining changes:
    - Enable CET.
    - d/patches/crypto-config.patch: also read configuration from
      /var/lib/crypto-config/profiles/current/gnutls.conf
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
  * Drop changes
    - Present upstream: pull patches between 3.8.9 and 2025/03/19:
      + post-3.8.9/*: add upstream patches from git

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Wed, 05 Nov 2025 12:34:51 +0100

gnutls28 (3.8.10-3) unstable; urgency=high

  * Upgrade texinfo.tex to latest (2025-10-25.20) in debian/rules until
    automake also includes this version (see #1119031). Closes: #1118328

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Oct 2025 10:35:14 +0100

gnutls28 (3.8.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 15:47:51 +0200

gnutls28 (3.8.10-1) experimental; urgency=medium

  * New upstream version.
    + Disable failing test.
    + Drop cherry-picked patches.
    + Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 09 Jul 2025 15:13:36 +0200

gnutls28 (3.8.9-3ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:42:02 +0000

gnutls28 (3.8.9-3ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - d/patches/crypto-config.patch: also read configuration from
      /var/lib/crypto-config/profiles/current/gnutls.conf
    - Pull patches between 3.8.9 and 2025/03/19:
      + post-3.8.9/*: add upstream patches from git

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 11 Jul 2025 10:39:03 -0400

gnutls28 (3.8.9-3) unstable; urgency=medium

  * Cherry-pick fixes from 3.8.10 release:
    + libgnutls: Fix NULL pointer dereference when 2nd Client Hello omits
      PSK Reported by Stefan Bühler.
      [GNUTLS-SA-2025-07-07-4, CVSS: medium] [CVE-2025-6395]
    + libgnutls: Fix heap read buffer overrun in parsing X.509 SCTS
      timestamps Spotted by oss-fuzz and reported by OpenAI Security
      Research Team, and fix developed by Andrew Hamilton.
      [GNUTLS-SA-2025-07-07-1, CVSS: medium] [CVE-2025-32989]
    + libgnutls: Fix double-free upon error when exporting otherName in
      SAN Reported by OpenAI Security Research Team.
      [GNUTLS-SA-2025-07-07-2, CVSS: low] [CVE-2025-32988]
    + certtool: Fix 1-byte write buffer overrun when parsing template
      Reported by David Aitel. [GNUTLS-SA-2025-07-07-3, CVSS: low]
      [CVE-2025-32990]
    + Fixes for memory leaks in lib/x509/x509_ext.c andlib/hello_ext.c.
    + Fix uninitialized memory read while processing the "pre_shared_key"
      extension in TLS 1.3.
    + Avoid uninitialized use of crq version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 09 Jul 2025 12:34:38 +0200

gnutls28 (3.8.9-2ubuntu3) plucky; urgency=medium

  * Pull patches between 3.8.9 and 2025/03/19:
    - post-3.8.9/*: add upstream patches from git

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 19 Mar 2025 13:16:57 +0100

gnutls28 (3.8.9-2ubuntu2) plucky; urgency=medium

  * d/patches/crypto-config.patch: also read configuration from
    /var/lib/crypto-config/profiles/current/gnutls.conf

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 12 Feb 2025 12:02:34 +0100

gnutls28 (3.8.9-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 14:03:07 +0100

gnutls28 (3.8.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 10 Feb 2025 06:33:24 +0100

gnutls28 (3.8.9-1) experimental; urgency=medium

  * New upstream version.
    + libgnutls: Fix potential DoS in handling certificates with numerous
      name constraints, as a follow-up of CVE-2024-12133 in libtasn1. The
      bundled copy of libtasn1 has also been updated to the latest 4.20.0
      release to complete the fix.  Reported by Bing Shi (#1553).
      [GNUTLS-SA-2025-02-07, CVSS: medium] [CVE-2024-12243]
    + Unfuzz 14_version_gettextcat.diff.
    + Update copyright information.
    + Let ./configure check for python on Debian builds to run cligen during
      build-time.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Feb 2025 16:19:41 +0100

gnutls28 (3.8.8-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Nov 2024 07:00:47 +0100

gnutls28 (3.8.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Nov 2024 16:32:03 +0100

gnutls28 (3.8.8-1) experimental; urgency=low

  * Partial merge from 3.8.6-2ubuntu1:
    + Fix logic for i386 autopkgtest on an amd64 host.
    + Don't run the testsuite under the influence of a configuration
      file.
  * New upstream version.
    + Drop cherry-picked patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Nov 2024 12:54:44 +0100

gnutls28 (3.8.7.1-1) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Refresh upstream signing keys.

  [ Andreas Metzler ]
  * New upstream version.
    + Update copyright info.
    + Drop now unneeded datefudge build- and autopkgtest-dep.
      Closes: #1077935, #1031553
  * 51-Also-set-ENABLE_DSA-for-tests-in-cert-tests-subdirec.patch: Do not skip
    all DSA tests in cert-tests subdirectory. Also set ENABLE_DSA=1 in
    autopkgtest.
  * 52_revert-back-to-datefudge-for-openssl-ocsp.patch: Skip some
    ocsp test instead of fixing them and requiring datefudge.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 15 Aug 2024 16:40:32 +0200

gnutls28 (3.8.6-2ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:11:02 +0200

gnutls28 (3.8.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jul 2024 11:39:37 +0200

gnutls28 (3.8.6-1) experimental; urgency=medium

  * New upstream version.
    + Unfuzz 14_version_gettextcat.diff.
    + Drop cherry-picked
      46_Fix-RSAES-PKCS1-v1_5-system-wide-configuration.patch.
    + Bump nettle b-d to >= 3.10 for SHAKE.
    + Update symbol file.
    + Update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Jul 2024 16:33:01 +0200

gnutls28 (3.8.5-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 08:01:13 +0200

gnutls28 (3.8.5-4) unstable; urgency=medium

  * Fix autopkgtest.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Jun 2024 14:39:31 +0200

gnutls28 (3.8.5-3ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 21:32:09 +0200

gnutls28 (3.8.5-3) unstable; urgency=low

  * Replace 45_Revert_Add-option-to-disable-RSAES-PKCS1-v1_5.patch with
    46_Fix-RSAES-PKCS1-v1_5-system-wide-configuration.patch from upstream GIT
    master.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jun 2024 13:52:02 +0200

gnutls28 (3.8.5-2ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 May 2024 12:08:31 +0200

gnutls28 (3.8.5-2) unstable; urgency=medium

  * Add 45_Revert_Add-option-to-disable-RSAES-PKCS1-v1_5.patch, reverting
    upstream commit 10ebc37e41343cb5b18ee9f0b8e2c45c3d83e8c7.
    Closes: #1068644

 -- Andreas Metzler <ametzler@debian.org>  Mon, 08 Apr 2024 18:27:17 +0200

gnutls28 (3.8.5-1) unstable; urgency=medium

  * New upstream version, drop cherry-picked patch.
  * [lintian] B-d on pkgconf instead of pkg-config.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Apr 2024 07:48:30 +0200

gnutls28 (3.8.4-2) unstable; urgency=medium

  * Cherry-pick from upstream git master:
    + 50_0001-gnutls_privkey_decrypt_data-don-t-free-plaintext-on-.patch
      (Regression in 3.8.4).
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 29 Mar 2024 07:47:24 +0100

gnutls28 (3.8.4-1) experimental; urgency=medium

  * New upstream version.
    + Fix side-channel in the deterministic ECDSA.
      Reported by George Pantelakis (#1516).
      [GNUTLS-SA-2023-12-04, CVSS: medium] [CVE-2024-28834]
      Closes: #1067464
    + libgnutls: Fixed a bug where certtool crashed when verifying a
      certificate chain with more than 16 certificates. Reported by William
      Woodruff (#1525) and yixiangzhike (#1527).
      [GNUTLS-SA-2024-01-23, CVSS: medium] [CVE-2024-28835] Closes: #1067463
    + Update copyright info.
    + Update symbol file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 23 Mar 2024 11:11:34 +0100

gnutls28 (3.8.3-1.1ubuntu3.1) noble-security; urgency=medium

  * SECURITY UPDATE: side-channel leak via Minerva attack
    - debian/patches/CVE-2024-28834.patch: avoid normalization of mpz_t in
      deterministic ECDSA in lib/nettle/int/dsa-compute-k.c,
      lib/nettle/int/dsa-compute-k.h, lib/nettle/int/ecdsa-compute-k.c,
      lib/nettle/int/ecdsa-compute-k.h, lib/nettle/pk.c,
      tests/sign-verify-deterministic.c.
    - CVE-2024-28834
  * SECURITY UPDATE: crash via specially-crafted cert bundle
    - debian/patches/CVE-2024-28835.patch: remove length limit of input in
      lib/gnutls_int.h, lib/x509/common.c, lib/x509/verify-high.c,
      tests/test-chains.h.
    - CVE-2024-28835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Apr 2024 09:54:34 -0400

gnutls28 (3.8.3-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:17:25 +0000

gnutls28 (3.8.3-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libhogweed6t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Mar 2024 16:42:37 +0100

gnutls28 (3.8.3-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Mar 2024 19:00:31 +0100

gnutls28 (3.8.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063297

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:26:17 +0000

gnutls28 (3.8.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Fix logic for i386 autopkgtest on an amd64 host
    - Don't run the testsuite under the influence of a configuration file.
  * debian/patches/CVE-2023-5981.patch: dropped, included in new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 26 Jan 2024 07:39:04 -0500

gnutls28 (3.8.3-1) unstable; urgency=medium

  * New upstream version.
    Fix assertion failure when verifying a certificate chain with a cycle of
    cross signatures. CVE-2024-0567 GNUTLS-SA-2024-01-09 Closes: #1061045
    Fix more timing side-channel inside RSA-PSK key exchange. CVE-2024-0553
    GNUTLS-SA-2024-01-14 Closes: #1061046

 -- Andreas Metzler <ametzler@debian.org>  Wed, 17 Jan 2024 18:26:52 +0100

gnutls28 (3.8.2-1) unstable; urgency=medium

  * New upstream version.
    + Drop cherrypicked patches.
    + Update symbol file.
    + Update copyright file.
    + Includes fix for CVE-2023-5981 / GNUTLS-SA-2023-10-23. Closes: #1056188

 -- Andreas Metzler <ametzler@debian.org>  Wed, 29 Nov 2023 08:55:21 +0100

gnutls28 (3.8.1-4ubuntu7) noble; urgency=medium

  * Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    See lp-merge #458092 for context.

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 03 Jan 2024 15:06:38 +0100

gnutls28 (3.8.1-4ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: timing side-channel inside RSA-PSK key exchange
    - debian/patches/CVE-2023-5981.patch: side-step potential side-channel
      in lib/auth/rsa.c, lib/auth/rsa_psk.c, lib/gnutls_int.h,
      lib/priority.c.
    - CVE-2023-5981

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Nov 2023 14:04:17 -0500

gnutls28 (3.8.1-4ubuntu5) noble; urgency=medium

  * armhf (-fstack-clash-protection) breakage rebuild

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 23 Nov 2023 15:13:53 +0000

gnutls28 (3.8.1-4ubuntu4) noble; urgency=medium

  * Don't run the testsuite under the influence of a configuration file. 

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 17 Nov 2023 11:08:39 +0100

gnutls28 (3.8.1-4ubuntu3) noble; urgency=medium

  * Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 27 Oct 2023 17:41:58 -0400

gnutls28 (3.8.1-4ubuntu2) noble; urgency=medium

  * Rebuild against latest libunistring

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Oct 2023 06:48:46 -0400

gnutls28 (3.8.1-4ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
  * Fix logic for i386 autopkgtest on an amd64 host

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 22 Aug 2023 16:30:06 -0600

gnutls28 (3.8.1-4) unstable; urgency=medium

  * Fix autopkgtest for 32 bit archs.
  * Fix building twice from the same source. Closes: #1044384,#1049512
  * Drop orphaned debian/libgnutlsxx30.install and delete related (.a/.so)
    files in dh_autoinstall override, fixing dead symlink for libgnutlsxx.so.
    Closes: #1050058

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Aug 2023 11:28:08 +0200

gnutls28 (3.8.1-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 08 Aug 2023 12:33:16 -0500

gnutls28 (3.8.1-3) unstable; urgency=low

  * 50-0001-Fix-build-on-GNU-Hurd.patch (Thanks, Samuel Thibault) from
    upstream git master.
  * Fix rdep FTBFS due to removal of GNUTLS_NO_EXTENSIONS macro with
    50-0002-Move-the-GNUTLS_NO_EXTENSIONS-compatibility-define-t.patch from
    upstream MR 1766 (Thanks, Adrian Bunk)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Aug 2023 18:33:31 +0200

gnutls28 (3.8.1-2) unstable; urgency=low

  * Also use datefudge instead of faketime for autopkgtest.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Aug 2023 11:13:35 +0200

gnutls28 (3.8.1-1) experimental; urgency=medium

  * New upstream version.
    + Bump symbol file info.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Aug 2023 10:59:29 +0200

gnutls28 (3.8.0+git20230713-1) experimental; urgency=medium

  * New upstream git snapshot c4023afde53241aedbb94108aa10fda9bd05ee82.
    + Update copyright file.
    + Switch back to datefudge. faketime using fork() instead of exex() breaks
      the cleanup scripting in the testsuite. This together with upstream
      changes Closes: #1037917
      Most tests do not rely on datefudge/faketime anymore but use -attime so
      we would still have meaningful testsuite coverage without datefudge.
    + Update autopkgtest for new upstream.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Jul 2023 13:40:58 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnutls-doc`.
